## gst-plugins-bad 0.10.5-5

=== Makefile ===
PACKAGE:=gst-plugins-bad0.10
VERSION:=0.10.5
SOURCE:=gst-plugins-bad-0.10.5.tar.bz2
URLS:=http://gstreamer.freedesktop.org/src/gst-plugins-bad/

include ../Rules.make

=== debian/changelog ===
gst-plugins-bad (0.10.5-5) unstable; urgency=high
  * Split module playback support files to it's own package
    and build only missing gstreamer modules for diablo
  * Rewrite rules using CDBS
  * Add equalizer, speed and switch plugins

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 27 Apr 2010 09:43:00 +0200

gst-plugins-bad (0.10.5-4) unstable; urgency=high
  * Add missing libgstapp.so symlink

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 29 Oct 2009 16:22:00 +0200

gst-plugins-bad (0.10.5-3) unstable; urgency=high
  * Patch with modplug changes from 0.10.6

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 11 Jan 2008 12:00:00 +0200

gst-plugins-bad (0.10.5-2) unstable; urgency=high
  * Add proper mime types for mgstmodplug
  * Split the modplug plugin into it's own package
  * Spectrum plugin packages
  * Fix depends
  * Optimize for 770 cpu

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 03 Sep 2007 20:50:00 +0200

gst-plugins-bad (0.10.5-1) unstable; urgency=high
  * Update to gst-plugins-bad 0.10.5
  * Security fix in modplug
  * Add appsink and appsrc + libgstapp

 -- Kaj-Michael Lang <milang@tal.org>  Thu, 09 Apr 2007 12:50:00 +0200

=== debian/control ===
Source: gst-plugins-bad
Section: user/multimedia
Priority: optional
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: debhelper (>= 4.0.0), libgstreamer0.10-dev (>= 0.10.13), libgstreamer-plugins-base0.10-dev, liboil0.3-dev
Standards-Version: 3.6.0

Package: libgstapp0.10
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.13)
Description: gstreamer appsrc and appsink
 * Makes it easy for applications to output sound using gstreamer

Package: libgstapp0.10-dev
Section: libs
Architecture: any
Depends: libgstreamer0.10-0 (>= 0.10.13), libgstapp0.10
Description: gstreamer app element and library header files

Package: libgstmodplug0.10
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.13)
Description: This package adds the gstreamer modplug plugin

Package: libgstspectrum0.10
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.13)
Description: This package adds the gstreamer spectrum plugin

Package: libgstequalizer0.10
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.13)
Description: This package adds the gstreamer equalizer plugin

Package: libgstspeed0.10
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.13)
Description: This package adds the gstreamer speed plugin

Package: libgstswitch0.10
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libgstreamer0.10-0 (>= 0.10.13)
Description: This package adds the gstreamer switch plugin

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_TAR_SRCDIR:=gst-plugins-bad-0.10.5
DEB_CONFIGURE_EXTRA_FLAGS:=--with-plugins=modplug,app,spectrum,equalizer,switch,speed,replaygain \
	--disable-static \
	--disable-examples \
	--disable-alsa \
	--disable-opengl \
	--disable-amrwb \
	--disable-bz2 \
	--disable-directfb \
	--disable-dts \
	--disable-divx \
	--disable-faac \
	--disable-faad \
	--disable-gsm \
	--disable-ivorbis \
	--disable-neon \
	--disable-dvb \
	--disable-sdl \
	--disable-soundtouch \
	--disable-swfdec \
	--disable-theoradec \
	--disable-xvid \
	--disable-musicbrainz

include /usr/share/cdbs/1/rules/tarball.mk
